package org.expeditee.encryption;

public interface CryptographyConstants {
	public static final String AsymmetricAlgorithm = "RSA";
	public static final String AsymmetricAlgorithmParameters = "/ECB/PKCS1Padding";
	
	public static final String SymmetricAlgorithm = "AES";
	public static final String SymmetricAlgorithmParameters = "/ECB/PKCS5Padding";
	public static final int SymmetricAlgorithmKeyLength = 256;
	
	public static final String AsymmetricSigningAlgorithm = "SHA256withRSA";
	
	public static final String KeystoreType = "JCEKS";//"PKCS12";
	
	public static final String Digest = "MD5";
}
